/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: WSBeanEndpoint.java,v 1.2 2004/06/02 08:48:21 sauthieg Exp $
 * --------------------------------------------------------------------------
 */
package org.objectweb.wssample.beans.ws;

import java.rmi.Remote;
import java.rmi.RemoteException;


/**
 * ServiceEndpoint interface
 *
 * @author Guillaume Sauthier
 */
public interface WSBeanEndpoint extends Remote {

    /**
     * @param name name
     * @return Returns "Hello " + name
     * @throws RemoteException RemoteException
     */
    String sayHello(String name) throws RemoteException;

    /**
     * @return Returns integer
     * @throws RemoteException RemoteException
     */
    int getCotes() throws RemoteException;
}
